<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script>
    function startTime(){
        var today = new Date()

        var h = today.getHours()
        var m = today.getMinutes()
        var s = today.getSeconds()

        m = checkTime(m)
        s = checkTime(s) 

        document.getElementById('timer').innerHTML= h + ":" + m + ":" + s

        var t =setTimeout(function(){
            startTime();
        }, 500)
    }
    function checkTime(i){
        if(i<10){
            i= '0' + 1
        }
        return i;
    }
    </script>
</head>
<body onload="startTime()">
   <script>
       // các hàm get date
  var obj= new Date()
 
    document.write('<br>',obj.getMilliseconds())
    document.write('<br>',obj.getSeconds())
    document.write('<br>',obj.getMinutes())
    document.write('<br>',obj.getHours())
    document.write('<br>',obj.getDay())
    document.write('<br>',obj.getMonth())
    document.write('<br>', obj.getFullYear())
    document.write('<br>',obj.getTime())

    // các hàm set date
    document.write('<br>',obj.setMilliseconds(0-999))
    document.write('<br>',obj.setSeconds(0-9))
    document.write('<br>',obj.setMinutes(0-59))
    document.write('<br>',obj.setHours(0-23))
    document.write('<br>',obj.setDate(1-31))
    document.write('<br>',obj.setMonth(1-11))
    document.write('<br>', obj.setFullYear(9999))
    document.write('<br>',obj.setTime())

   </script> 

   <div id="timer"></div>
</body>
</html>